<?php

/**
 * @file
 */

namespace Drupal\smsc\Smsc;


use GuzzleHttp\Exception\RequestException;
use Smsc\Request\RequestInterface;
use Smsc\Services\AbstractSmscService;


/**
 * Class CurlMessage
 *
 * @package Smsc\CurlMessage
 */
class DrupalSmscRequest implements RequestInterface {

  /**
   * Execute request.
   *
   * @param AbstractSmscService $service
   *
   * @return string
   * @throws \Exception
   */
  public function execute(AbstractSmscService $service) {

    $uri  = $service->getApiUrl();
    $body = $service->buildParams();

    try {
      $response = \Drupal::httpClient()->post($uri, [
        'headers' => [
          'Content-Type' => 'application/x-www-form-urlencoded',
        ],
        'body'    => $body,
      ]);

      return (string) $response->getBody();
    }
    catch (RequestException $e) {
      watchdog_exception('smsc', $e);
    }
  }
}
