<?php

/**
 * @file
 */

namespace Drupal\smsc\Smsc;

use Smsc\Settings\Settings;

/**
 * Class Settings
 *
 * @package Smsc\Settings
 */
class DrupalSmscSettings {

  /**
   * Initi
   *
   * @return null|\Smsc\Settings\Settings
   */
  public static function init() {
    $smscConfig = \Drupal::config('smsc.config');

    $login  = $smscConfig->get('login');
    $psw    = $smscConfig->get('psw');
    $host   = $smscConfig->get('host');
    $sender = $smscConfig->get('sender');

    $settings = new Settings($login, $psw);

    if (isset($sender)) {
      $settings->setSender($sender);
    }

    if (isset($host) && $settings->validHost($host)) {
      $settings->setHost($host);
    }

    return $settings;
  }
}
